%define		_state		stable
%define		orgname		mplayerthumbs
%define		qtver		4.8.1

Summary:	Video thumbnail generator for KDE
Summary(pl.UTF-8):	Generator podglądów video dla KDE
Name:		kde4-%{orgname}
Version:	4.10.4
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	cb1ac7ab056803df89278e134c212577
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	libstdc++-devel
BuildRequires:	phonon-devel >= 4.4.1
BuildRequires:	pkgconfig
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
Requires:	kde4-kdebase >= %{version}
Requires:	mplayer
Obsoletes:	kde4-kdemultimedia-mplayerthumbs < 4.8.99-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MPlayerThumbs is a video thumbnail generator for KDE file managers
(Konqueror, Dolphin, ...) , now available also for KDE 4.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mplayerthumbsconfig
%attr(755,root,root) %{_libdir}/kde4/videopreview.so
%{_datadir}/apps/videothumbnail
%{_datadir}/config.kcfg/mplayerthumbs.kcfg
%{_datadir}/kde4/services/videopreview.desktop
%changelog
* Wed Jun 19 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-mplayerthumbs.git;a=log;h=master

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> bc2963e
- updated to 4.10.4 (by update-kde4.sh)

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> 30c8563
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> 5d2b998
- updated to 4.9.4

* Sun Dec 02 2012 Paweł Sikora <pawel.sikora@agmk.net> d2ffbf2
- updated to 4.9.3.

* Thu Sep 06 2012 Paweł Sikora <pawel.sikora@agmk.net> 725e94b
- updated to 4.9.1.

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 2b836ff
- Obsolete kdemultimedia package
Release 2

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> f52de58
- Updated BRs
Release 1

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 830f46f
- Fixed name

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> f2d262f
- Initial commit, split from kde4-kdemultimedia, BRs probably wrong

